Package org.eclipse.ecf.remoteservice

## Class CallbackRemoteCallListener

- java.lang.Object
- - org.eclipse.ecf.remoteservice.CallbackRemoteCallListener

All Implemented Interfaces:
  `IRemoteCallListener`

    public class CallbackRemoteCallListener
    extends Object
    implements IRemoteCallListener

Since:
  4.1

### Constructor Summary

Constructors
`CallbackRemoteCallListener​(IAsyncCallback callback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleEvent​(IRemoteCallEvent event)` Handle remote call events.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CallbackRemoteCallListener

    public CallbackRemoteCallListener​(IAsyncCallback callback)

### Method Detail

#### handleEvent

    public void handleEvent​(IRemoteCallEvent event)

Description copied from interface: `IRemoteCallListener`
Handle remote call events. The two remote call events are IRemoteCallStartEvent, and IRemoteCallCompleteEvent

Specified by:
  `handleEvent` in interface `IRemoteCallListener`
Parameters:
  `event` - the event. Will not be `null`.